<?xml version="1.0" encoding="UTF-8"?>
<mm:monitor xmlns:mm="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.0.2/mm" xmlns:xsd="http://www.w3.org/2001/XMLSchema-datatypes" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" displayName="MonitorAdapterMM" id="MonitorAdapterMM" timestamp="2007-01-31T10:53:46" xsi:schemaLocation="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.0.2/mm monitor.xsd">
    <monitorDetailsModel displayName="MonitorAdapterMM" id="MDM">
        <monitoringContext displayName="MonitorAdapterMM MC" id="MonitorAdapterMM_MC">
            <trigger displayName="BeforeFilter Trigger" id="BeforeFilter_Trigger">
            	<onEvent ref="EE_BeforeFilter_Data"/>
            </trigger>
            <trigger displayName="AfterFilter Trigger" id="AfterFilter_Trigger">
            	<onEvent ref="EE_AfterFilter_Data"/>
            </trigger>
            <trigger displayName="JDBCInbound Entry Trigger" id="JDBCInbound_Entry_Trigger">
            	<onEvent ref="MediationFilter.JDBCInboundInterface.createDb2adminCustomer_ENTRY"/>
            </trigger>
            <trigger displayName="MonitorAdapterMM Termination Trigger" id="MonitorAdapterMM_Termination_Trigger" terminateContext="true">
            	<onEvent ref="MediationFilter.JDBCInboundInterface.createDb2adminCustomer_EXIT"/>
            </trigger>
            <inboundEvent displayName="MediationFilter.JDBCInboundInterface.createDb2adminCustomer FAILURE" id="MediationFilter.JDBCInboundInterface.createDb2adminCustomer_FAILURE" multipleCorrelationMatches="raiseException" noCorrelationMatches="ignore" oneCorrelationMatch="deliverEvent" type="./'WBI.SCA.MethodInvocation.FAILURE#gVKjcgUQlqPP+YxQrqOnEA'">
                <correlationPredicate expression="MediationFilter.JDBCInboundInterface.createDb2adminCustomer_FAILURE/propertyData/WBISESSION_ID = MonitorAdapterMM_Key"/>
            </inboundEvent>
            <inboundEvent displayName="MediationFilter.JDBCInboundInterface.createDb2adminCustomer ENTRY" id="MediationFilter.JDBCInboundInterface.createDb2adminCustomer_ENTRY" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" type="./'WBI.SCA.MethodInvocation.ENTRY#gVKjcgUQlqPP+YxQrqOnEA'">
                <correlationPredicate expression="MediationFilter.JDBCInboundInterface.createDb2adminCustomer_ENTRY/propertyData/WBISESSION_ID = MonitorAdapterMM_Key"/>
            </inboundEvent>
            <inboundEvent displayName="MediationFilter.JDBCInboundInterface.createDb2adminCustomer EXIT" id="MediationFilter.JDBCInboundInterface.createDb2adminCustomer_EXIT" multipleCorrelationMatches="raiseException" noCorrelationMatches="ignore" oneCorrelationMatch="deliverEvent" type="./'WBI.SCA.MethodInvocation.EXIT#gVKjcgUQlqPP+YxQrqOnEA'">
                <correlationPredicate expression="MediationFilter.JDBCInboundInterface.createDb2adminCustomer_EXIT/propertyData/WBISESSION_ID = MonitorAdapterMM_Key"/>
            </inboundEvent>
            <inboundEvent displayName="EE BeforeFilter Data" id="EE_BeforeFilter_Data" multipleCorrelationMatches="raiseException" noCorrelationMatches="ignore" oneCorrelationMatch="deliverEvent" type="MonitorAdapter_MediationFilter_Req_Before">
            	<correlationPredicate expression="EE_BeforeFilter_Data/propertyData/WBISESSION_ID = MonitorAdapterMM_Key"/>
            </inboundEvent>
            <inboundEvent displayName="EE AfterFilter Data" id="EE_AfterFilter_Data" multipleCorrelationMatches="raiseException" noCorrelationMatches="ignore" oneCorrelationMatch="deliverEvent" type="MonitorAdapter_MediationFilter_Req_After">
            	<correlationPredicate expression="EE_AfterFilter_Data/propertyData/WBISESSION_ID = MonitorAdapterMM_Key"/>
            </inboundEvent>
            <metric displayName="MonitorAdapterMM Key" id="MonitorAdapterMM_Key" isPartOfKey="true" type="xsd:string">
                <map>
                    <outputValue>
                        <singleValue expression="MediationFilter.JDBCInboundInterface.createDb2adminCustomer_ENTRY/propertyData/WBISESSION_ID"/>
                    </outputValue>
                </map>
            </metric>
            <metric displayName="CCode Metric" id="CCode_Metric" type="xsd:string">
            	<map>
            		<trigger ref="JDBCInbound_Entry_Trigger"/>
            		<outputValue>
            			<singleValue expression="MediationFilter.JDBCInboundInterface.createDb2adminCustomer_ENTRY/extendedData/'Argument 0'/Db2adminCustomer/ccode"/>
            		</outputValue>
            	</map>
            </metric>
            <metric displayName="FName Metric" id="FName_Metric" type="xsd:string">
            	<map>
            		<trigger ref="JDBCInbound_Entry_Trigger"/>
            		<outputValue>
            			<singleValue expression="MediationFilter.JDBCInboundInterface.createDb2adminCustomer_ENTRY/extendedData/'Argument 0'/Db2adminCustomer/fname"/>
            		</outputValue>
            	</map>
            </metric>
            <metric displayName="LName Metric" id="LName_Metric" type="xsd:string">
            	<map>
            		<trigger ref="JDBCInbound_Entry_Trigger"/>
            		<outputValue>
            			<singleValue expression="MediationFilter.JDBCInboundInterface.createDb2adminCustomer_ENTRY/extendedData/'Argument 0'/Db2adminCustomer/lname"/>
            		</outputValue>
            	</map>
            </metric>
            <metric displayName="Is Gold Customer Metric" id="Is_Gold_Customer_Metric" type="xsd:boolean">
            	<map>
            		<trigger ref="BeforeFilter_Trigger"/>
            		<outputValue>
            			<singleValue expression="false()"/>
            		</outputValue>
            	</map>
            	<map>
            		<trigger ref="AfterFilter_Trigger"/>
            		<outputValue>
            			<singleValue expression="true()"/>
            		</outputValue>
            	</map>
            </metric>
        </monitoringContext>
    </monitorDetailsModel>
    <dataMartModel id="DMM">
        <cube displayName="MonitorAdapterMM MC Cube" id="MonitorAdapterMM_MC_Cube" monitoringContext="MonitorAdapterMM_MC">
            <factTable id="MonitorAdapterMM_MCFactTable">
                <attribute attributeSource="MonitorAdapterMM_Key" id="MonitorAdapterMM_KeyFact"/>
                <attribute displayName="FName Metric Fact" id="FName_Metric_Fact" attributeSource="FName_Metric"></attribute>
                <attribute displayName="LName Metric Fact" id="LName_Metric_Fact" attributeSource="LName_Metric"></attribute>
                <attribute displayName="Is Gold Customer Metric Fact" id="Is_Gold_Customer_Metric_Fact" attributeSource="Is_Gold_Customer_Metric"></attribute>
            </factTable>
            <measure displayName="FName Count Measure" id="FName_Count_Measure" aggregationType="count" source="MonitorAdapterMM_MCFactTable/FName_Metric_Fact"></measure>
            <dimension displayName="CCode Dimension" id="CCode_Dimension">
            	<attribute displayName="CCode Dimension Attribute" id="CCode_Dimension_Attribute" isPartOfDimensionKey="true" level="1" attributeSource="CCode_Metric"></attribute>
            </dimension>
        </cube>
    </dataMartModel>
    <eventModel id="EM">
        <import location="/MonitorAdapter/events/WBI.MonitoringEvent.cbe"/>
        <import location="/MonitorAdapter/events/WBI.SCA.MethodInvocation.FAILURE_MonitorAdapter_MediationFilter_c_JDBCInboundInterface.createDb2adminCustomer.cbe"/>
        <import location="/MonitorAdapter/events/WBI.ErrorReport.cbe"/>
        <import location="/MonitorAdapter/events/WBI.SCA.MethodInvocation.FAILURE.cbe"/>
        <import location="/MonitorAdapter/events/WBI.SCA.MethodInvocation.ENTRY.cbe"/>
        <import location="/MonitorAdapter/events/WBI.SCA.MethodInvocation.ENTRY_MonitorAdapter_MediationFilter_c_JDBCInboundInterface.createDb2adminCustomer.cbe"/>
        <import location="/MonitorAdapter/events/WBI.SCA.MethodInvocation.EXIT.cbe"/>
        <import location="/MonitorAdapter/events/WBI.SCA.MethodInvocation.EXIT_MonitorAdapter_MediationFilter_c_JDBCInboundInterface.createDb2adminCustomer.cbe"/>
        <import location="/MonitorAdapter/events/MonitorAdapter_MediationFilter_Req_After_MonitorAdapter_MediationFilter_m.cbe"/>
        <import location="/MonitorAdapter/events/MonitorAdapter_MediationFilter_Req_Before_MonitorAdapter_MediationFilter_m.cbe"/>
    </eventModel>
</mm:monitor>
